%define name    qelectrotech
%define version 0.22
%define release 3

Summary:	A tool to design electric diagrams
Name:		%{name}
Epoch:		2
Version:	%{version}
Release:	%mkrel %{release}
License:	GPLv2+
Group:		Sciences/Other
URL:		http://qelectrotech.tuxfamily.org/index.html
Source0:	%{name}-%{version}-src.tar.gz
Patch0:		%{name}-0.22-fix_qelectrotech_pro.patch
Patch1:		%{name}-0.22-add_to_change_to_pro.patch
Patch2:		%{name}-0.22-desktop-file-fix.patch
BuildRequires:	qt4-devel

%description
%{name} is a tool to design electric diagrams.

%prep
%setup -q -n %{name}-%{version}-src
%patch0 -p1
%patch1 -p1
%patch2 -p0 -b .fix

#fix paths
perl -i -pe "s|COMPIL_PREFIX_TO_CHANGE|%{_prefix}|g" qelectrotech.pro
perl -i -pe "s|INSTALL_PREFIX_TO_CHANGE|%{buildroot}%{_prefix}|g" qelectrotech.pro

%build
%qmake_qt4 
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# let files section handle docs
rm -rf %{buildroot}/usr/doc

%find_lang --with-man %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc CREDIT ELEMENTS.LICENSE INSTALL LICENSE README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1.*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/mime/application/*.xml
%{_datadir}/mimelnk/application/*.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/*/mimetypes/*.png


%changelog
* Sun Apr 10 2011 wally <wally> 2:0.22-3.mga1
+ Revision: 82753
- clean .spec
- rename patches
- add patch to fix desktop file
- use upstream provided qelectrotech.xml
- install files previously wasn't
- drop buildroot definition
- imported package qelectrotech


* Wed Mar 17 2010 trem <trem@mandriva.org> 2:0.22-2mdv2010.1
+ Revision: 524730
- bump release to force a submit on the bs
- update to 0.22

* Mon Mar 08 2010 trem <trem@mandriva.org> 2:0.21-1mdv2010.1
+ Revision: 516717
- update to 0.21
- remove patch r723-xavier.diff and r724-xavier.diff

* Fri Jul 31 2009 trem <trem@mandriva.org> 2:0.2-2mdv2010.0
+ Revision: 404839
- add patch r723-xavier.diff and r724-xavier.diff that fix a bug with tabs when linked with qt 4.5

* Tue Jun 30 2009 trem <trem@mandriva.org> 2:0.2-1mdv2010.0
+ Revision: 391107
- update to 0.2

* Sun Jun 21 2009 trem <trem@mandriva.org> 1:0.2rc2-1mdv2010.0
+ Revision: 387637
- update 0.2rc2

* Tue Jun 16 2009 trem <trem@mandriva.org> 1:0.2rc1-1mdv2010.0
+ Revision: 386424
- update to 0.2rc1

* Tue May 26 2009 trem <trem@mandriva.org> 1:0.2b-1mdv2010.0
+ Revision: 380027
- use epoch to force 0.2b version
- update to 0.2b
- remove fix_manpage.patch and fix_contextual_menu.patch
- remove man_fr_utf8.tar.bz2 (added upstream)

* Sat Nov 01 2008 trem <trem@mandriva.org> 0.11-8mdv2009.1
+ Revision: 299188
- fix association file

* Mon Oct 20 2008 trem <trem@mandriva.org> 0.11-7mdv2009.1
+ Revision: 295458
- add patch fix_contextual_menu.patch

* Wed Oct 15 2008 trem <trem@mandriva.org> 0.11-6mdv2009.1
+ Revision: 294077
- fix acces to scheme and lang
- add patch add_to_change_to_pro.patch

* Sat Sep 06 2008 trem <trem@mandriva.org> 0.11-5mdv2009.0
+ Revision: 281983
- bump release because the bs has lost the previous
- use official 0.11 archive file
- add some patch to clean man page
- add fr UTF8 manpage

* Sat Sep 06 2008 trem <trem@mandriva.org> 0.11-3mdv2009.0
+ Revision: 281888
- clean category in .desktop

* Sun Aug 31 2008 trem <trem@mandriva.org> 0.11-2mdv2009.0
+ Revision: 277777
- fix release number (avoid using mkrel twice)
- fix release number (avoid using mkrel twice)

* Sun Aug 31 2008 trem <trem@mandriva.org> 0.11-1mdv2009.0mdv2009.0
+ Revision: 277701
- update to 0.11

* Fri Aug 29 2008 trem <trem@mandriva.org> 0.11-0.r392.1mdv2009.0mdv2009.0
+ Revision: 277095
- import qelectrotech


* Fri Aug 28 2008 trem <trem@mandriva.org> 0.11-0.r392.1mdv2009.0
- Initial build.
